<template lang="pug">
  .building.relative.dib(@click="$emit('click', name)")
    button.building__button.br2.pv2.ph3.b--near-white.bg-near-white.relative(
      :class="{'building__button--active': active}"
    ) {{name}}
    .building__count.br-100.white.bg-light-red.absolute(v-show="count") {{countStr}}
</template>
<script>
export default {
  props: {
    name: {
      type: String,
      required: true
    },
    count: {
      type: Number,
      default: 0
    },
    active: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    countStr () {
      if (this.count > 99) {
        return '99+'
      }
      return this.count
    }
  }
}
</script>
<style lang="scss" scoped>
@import '~/assets/define.scss';

.building {
  &__button {
    border-width: 2px;
    border-style: solid;

    &--active {
      border-color: #000;
    }
  }
  &__count {
    font-size: 0.7rem;
    width: 2em;
    height: 2em;
    line-height: 2;
    text-align: center;
    bottom: -0.5em;
    right: -0.5em;
  }
}
</style>
